Subject: Re: [bitcoin-dev] BIP for Serverless Payjoin

From: Dan Gould <[email-masked]>
Date: Sun, 13 Aug 2023 12:50:32 +0000

Thanks for weighing in Dave,

> On Aug 13, 2023, at 8:00 AM, [email-masked] wrote:
> 
> 

> The way BItcoin users currently use BIP21 URIs and QR-encoded BIP21 URIs, posting them where evesdroppers can see
> 
> …
> 
> I don't think it would be practical to change that expectation, and I think a protocol where evesdropping didn't create a risk of funds loss would be much better than one where that risk was created.
> 
> [email-masked]

The BIP has changed to adopt a DH cryptosystem where the receiver only shares a public key in the BIP 21 as part of the pj= endpoint since Adam posted comments. I agree enabling the simplest asynchronous experience while, as I gather you’re thinking, keeping the UX expectation that leaked BIP 21 URIs pose no risk for loss of funds is the right set of tradeoffs.

Dan